// loopqueue.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"
#include "log.h"
#include "KernelObject.h"
#include "semaphore.h"
#include "shm.h"
#include "mutex.h"
#include "Event.h"

 #include "ShmQueue.h"
#include "Logger.h"

#ifdef _MANAGED
#pragma managed(push, off)
#endif

BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
	case DLL_PROCESS_DETACH:
		break;
	}
    return TRUE;
}

#ifdef _MANAGED
#pragma managed(pop)
#endif


LOOPQUEUE_API void Log(const char* msg)
{
	CLogger*p=CLogger::Instance();
	if(p)
	{
		p->Log(msg);
	}
}

 