/********************************************************************
 	created:  10/10/2006  
	filename: semaphore.h
 	
	purpose:	
*********************************************************************/
#ifndef _semaphone_h_10_10_2006
#define _semaphone_h_10_10_2006

#include "KernelObject.h"

class __declspec(dllexport)CSemaphore : public CKernelObject
{
public:
    // constructor creates a semaphore object...
    CSemaphore( int nInitialCount, int nMaximumCount, LPCTSTR lpName = NULL, LPSECURITY_ATTRIBUTES lpSemaphoreAttributes = NULL);
    
    // constructor opens an existing named semaphore...
    // you must check the status after using this constructor,
    // it will NOT throw an error exception if the object cannot be opened...
    CSemaphore( LPCTSTR lpName, BOOL bInheritHandle = FALSE, DWORD dwDesiredAccess = SEMAPHORE_ALL_ACCESS);

    // increase the count on a semaphore...
    BOOL Release( LONG lReleaseCount, LONG *plPreviousCount = NULL);
};
#endif
