/********************************************************************
created:  10/10/2006  
filename: shmqueueexception.h

purpose:	
*********************************************************************/
#ifndef _shmqueueexception_h_10_10_2006
#define _shmqueueexception_h_10_10_2006
 
 
   
#include <string>
#include <iostream>

using namespace std;

 class __declspec(dllexport)CShmQueueException
 {
 public:

	 CShmQueueException (int ErrorCode, string const& error):
	   m_nErrorCode(ErrorCode),
		m_strErr(error)
	 {}


	 CShmQueueException (string const& error):
	   m_nErrorCode(0),
		m_strErr(error)
	 {}
	 

	 inline int GetErrorCode() const {return m_nErrorCode;}
	 inline string const& GetErrorstring() const {return m_strErr; }

	 friend ostream& operator << (ostream & os, CShmQueueException const& obj)
	 {
		 return os<<"Error:"<<obj.m_nErrorCode<<" "<<obj.m_strErr;
	 }

 private:
	 CShmQueueException(); // hide it
	 int m_nErrorCode;
	 string m_strErr;

 };

 #endif
 