/********************************************************************
 	created:  10/11/2006  
	filename: Mutex.h
 	
	purpose:	
*********************************************************************/
#ifndef _Mutex_h_10_11_2006
#define _Mutex_h_10_11_2006

#include "KernelObject.h"

class __declspec(dllexport) CMutex : public CKernelObject
{
public:
    // constructors create a mutex object...
    CMutex( BOOL bInitialOwner = FALSE, LPCTSTR lpName = NULL, LPSECURITY_ATTRIBUTES lpMutexAttributes = NULL);
    
    // constructor opens an existing named mutex...
    // you must check the status after using this constructor,
    // it will NOT throw an error exception if the object cannot be opened...
    CMutex( LPCTSTR lpName, BOOL bInheritHandle = FALSE, DWORD dwDesiredAccess = MUTEX_ALL_ACCESS);

    // release a lock on a mutex...
    BOOL Release(void);
};

#endif
