#pragma once

 class CLoggerServer
 {
 public:
	 explicit CLoggerServer (string const& FileName);
	 virtual ~CLoggerServer(){}

	 bool IsValid() const  {return  m_bValid; }

	 static void StartLoggerServer(CLoggerServer*p );

	 void UpdateLog(const char* message)
	 {
		 m_FileStream<<message<<endl;
 	 }

 private:
	 CLoggerServer(); //Hide the constructor
	 ofstream m_FileStream;

	 bool m_bValid;
 };